Last Comment Bug 793474 - [km]Multiple Character Render Issues
: [km]Multiple Character Render Issues
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 00:07 PDT by arky [:arky]
Modified: 2012-10-15 23:18 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Khmer Subscript Issues on Android 4.1.1 (1.85 MB, image/jpeg)
2012-10-02 21:52 PDT, arky [:arky]
no flags Details

Description arky [:arky] 2012-09-23 00:07:39 PDT
Report of multiple character render issues in the Android 4.1.1 on Firefox Mobile Beta (16.0). 


These following Unicode character have issues. 

U+17C4, U+17C5, U+17CF, U+17D0

Screenshot from the device attached.
Comment 1 Jonathan Kew (:jfkthame) 2012-09-23 05:11:56 PDT
This should be fixed in v17, thanks to the harfbuzz updates we've taken in bug 780409 and since.
Comment 2 arky [:arky] 2012-10-02 21:50:49 PDT
Thanks jfkthame. 

Danh mentioned that there are issues with khmer subscript are rendered as '+' as well. Are these fixed in the next harfbuzz update   

http://www.microsoft.com/typography/otspec/features_ae.htm#blwf
Comment 3 arky [:arky] 2012-10-02 21:52:48 PDT
Created attachment 667321 [details]
Khmer Subscript Issues on Android 4.1.1
Comment 4 arky [:arky] 2012-10-15 21:50:20 PDT
Danh, Can you test the latest nightly (nightly.mozilla.org) and see if these issues are fixed.
Comment 5 arky [:arky] 2012-10-15 23:18:46 PDT
Thanks Danh, Closing this bug based on Danh offline feedback.

Note You need to log in before you can comment on or make changes to this bug.